#include <bits/stdc++.h>
using namespace std;
int dem=1;
void th(int n)
{
	ofstream f2("DQND.OUT");
	int a;
	if(n<10) f2<<n;
	else
	{
		f2<<n%10;
		dem++;
		th(n/10);
	}
	f2<<endl;
	f2<<dem;
	f2.close();
}
int main()

{
	int n;
	ifstream f1("DQND.INP");
	f1>>n;
	th(n);
	f1.close();
}
